package com.huimv.environ.eco.controller;


import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.environ.eco.service.IEggFarmService;
import com.huimv.environ.eco.service.IEggHouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2022-06-22
 */
@RestController
@RequestMapping("/eggHouse")
public class EggHouseController {
    @Autowired
    private IEggHouseService houseService;

    @GetMapping("/list")
    public Result list(){
        return  new Result(ResultCode.SUCCESS,houseService.list());
    }
}
