package com.huimv.environ.eco.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author author
 * @since 2022-06-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("egg_data")
public class EggData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 温度
     */
    private Double tCur;

    /**
     * 湿度
     */
    private Integer hR;

    /**
     * 用水，吨
     */
    private Double wtrTdy;

    /**
     * 用料 kg
     */
    private Double ftDoTalTdy;

    private Double co2;

    /**
     * 舍id
     */
    private Integer i;

    //上传时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date uploadTime;
    /**
     * 风机开启数量
     */
    private Integer fN;


    /**
     * 通风量  km3/h
     */
    private Integer fV;

    /**
     *通风级别
     */
    private Integer fLv;


    /**
     * 体感温度
     */
    private Integer tS;


    /**
     *目标温度
     */
    private Integer tT;

    /**
     *设定湿度
     */
    private Integer hT;

    /**
     *加热 1
     */
    private Integer htL;



}
