package com.huimv.environ.eco.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.environ.eco.entity.EggData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.environ.eco.entity.eggvo.EggVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2022-06-22
 */
public interface EggDataMapper extends BaseMapper<EggData> {

    List<EggVo> getAllDay(@Param(Constants.WRAPPER)QueryWrapper<EggData> wrapper);

    List<EggVo> getAllWeek(@Param(Constants.WRAPPER)QueryWrapper<EggData> wrapper);

    List<EggVo> getAllDayFood(@Param(Constants.WRAPPER)QueryWrapper<EggData> wrapper);

    List<EggVo> getAllWeekFood(@Param(Constants.WRAPPER)QueryWrapper<EggData> wrapper);

    List<EggVo> getAllWater(@Param(Constants.WRAPPER)QueryWrapper<EggData> wrapper);
}
